org.apache.coyote.http11.upgrade

## Class BioServletInputStream

- java.lang.Object
- - java.io.InputStream
  - - javax.servlet.ServletInputStream
    - - org.apache.coyote.http11.upgrade.AbstractServletInputStream
      - - org.apache.coyote.http11.upgrade.BioServletInputStream

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class BioServletInputStream
      extends AbstractServletInputStream

- - ### Field Summary

    - ### Fields inherited from class org.apache.coyote.http11.upgrade.AbstractServletInputStream

      `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BioServletInputStream(SocketWrapper<Socket> wrapper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doClose()`
    `protected boolean` | `doIsReady()`
    `protected int` | `doRead(boolean block, byte[] b, int off, int len)` Abstract method to be overridden by concrete implementations.

    - ### Methods inherited from class org.apache.coyote.http11.upgrade.AbstractServletInputStream

      `close, isCloseRequired, isFinished, isReady, onAllDataRead, onDataAvailable, onError, read, read, readLine, setReadListener`

    - ### Methods inherited from class java.io.InputStream

      `available, mark, markSupported, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BioServletInputStream

          public BioServletInputStream(SocketWrapper<Socket> wrapper)
                                throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### doRead

          protected int doRead(boolean block,
                   byte[] b,
                   int off,
                   int len)
                        throws IOException

      Description copied from class: `AbstractServletInputStream`
      Abstract method to be overridden by concrete implementations. The base class will ensure that there are no concurrent calls to this method for the same socket.
      Specified by:
        `doRead` in class `AbstractServletInputStream`
      Throws:
        `IOException`

    - #### doIsReady

          protected boolean doIsReady()

      Specified by:
        `doIsReady` in class `AbstractServletInputStream`

    - #### doClose

          protected void doClose()
                          throws IOException

      Specified by:
        `doClose` in class `AbstractServletInputStream`
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.